XmlTagInfo (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.xmlparser.XmlTagInfo class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.xmlparser
Class XmlTagInfo

    java.lang.Object
      org.hyperic.util.xmlparser.XmlTagInfo

    public class XmlTagInfo

extends java.lang.Object

This class is used to describe which subtags a given tag supports. The object has a 'tag', which will be traversed to, and a validity requirement, indicating if the subtag must exist in the tag, is optional, is valid one or more times, or is valid zero or more times.

Field Summary
`static int` | `ONE_OR_MORE`
`static int` | `OPTIONAL`
`static int` | `REQUIRED`
`static int` | `ZERO_OR_MORE`

Constructor Summary
`XmlTagInfo(XmlTagHandler tag, int type)` Create a new tag info object with the specified tag and type.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUIRED

    public static final int REQUIRED

See Also:
  Constant Field Values

### OPTIONAL

    public static final int OPTIONAL

See Also:
  Constant Field Values

### ONE_OR_MORE

    public static final int ONE_OR_MORE

See Also:
  Constant Field Values

### ZERO_OR_MORE

    public static final int ZERO_OR_MORE

See Also:
  Constant Field Values

Constructor Detail

### XmlTagInfo

    public XmlTagInfo(XmlTagHandler tag,
                      int type)

  Create a new tag info object with the specified tag and type.

  Parameters:
    `tag` - The sub tag which will be traversed to
    `type` - One of REQUIRED, OPTIONAL, ONE_OR_MORE, ZERO_OR_MORE

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.